Package org.apache.struts2.config_browser

# Class ShowJarsAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ActionNamesAction
org.apache.struts2.config_browser.ShowJarsAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class ShowJarsAction extends ActionNamesAction
Shows all constants as loaded by Struts

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `configHelper`

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowJarsAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Properties>`
  `getJarPoms()`
  `Iterator<URL>`
  `getPluginsLoaded()`

  ### Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction

  `execute, getActionNames, getConfig, getExtension, getNamespace, getNamespaces, index, redirect, setConfigurationHelper, setExtension, setNamespace`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowJarsAction

    public ShowJarsAction()

- ## Method Details

  - ### getJarPoms

    public List<Properties> getJarPoms()

  - ### getPluginsLoaded

    public Iterator<URL> getPluginsLoaded()